%define module Apache2-AuthCookieDBI

Name:		perl-%{module}
Version:	2.04
Release:    %mkrel 1
Summary:	An AuthCookie module backed by a DBI database
License:	LGPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://search.cpan.org/CPAN/modules/by-module/Apache2/%{module}-%{version}.tar.bz2
BuildRequires:	perl(Apache::DBI) >= 0.91
BuildRequires:	perl(Date::Calc)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Apache2::AuthCookieDBI is a module that subclasses Apache2::AuthCookie and is
designed to be directly used for authentication in a mod_perl server.

It is a ticket-issuing system that looks up username/passwords in a DBI
database using generic SQL and issues MD5-checksummed tickets valid for
a configurable time period.  Incoming requests with tickets are
checksummed and expire-time checked.


%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README eg *.txt *.sql
%{perl_vendorlib}/Apache2
%{_mandir}/*/*


%changelog
* Tue Dec 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.04-1mdv2009.1
+ Revision: 309442
- update to new version 2.04

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.03-6mdv2009.0
+ Revision: 255267
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.03-4mdv2008.1
+ Revision: 136945
- spec cleanup

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.03-3mdv2008.1
+ Revision: 136883
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.03-2mdv2007.0
+ Revision: 73243
- import perl-Apache2-AuthCookieDBI-2.03-2mdk

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.03-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL
- use mkrel

* Sat Jul 16 2005 Oden Eriksson <oeriksson@mandriva.com> 2.03-1mdk
- initial Mandriva package

